<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.Patrol.Leader</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Patrol Lead-ship script</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Moveable&#160;Ship</var></line>
<line linenr="002" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="003" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_KILL_ENEMIES</var></line>
<line linenr="004" indent=""><var>$This.Size&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="005" indent=""><var>$Home.Station&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'ddrs.maintarget'</var></line>
<line linenr="006" indent=""><var>skip&#160;if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docked</text></line>
<line linenr="007" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>30000</var><text>&#160;to&#160;</text><var>60000</var><text>&#160;ms</text></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docked</text></line>
<line linenr="010" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="011" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="012" indent=""><text>end</text></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="015" interruptable="@" indent="&#160;"><var>$Enmy&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.FindEnmy</call><text>&#160;:&#160;</text><text>&#160;Home=</text><var>$Home.Station</var></line>
<line linenr="016" indent="&#160;"><var>if&#160;</var><var>$Enmy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="017" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Enmy&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="018" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>8000</var></line>
<line linenr="019" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>20000</var><text>&#160;to&#160;</text><var>40001</var><text>&#160;-&#160;1</text></line>
<line linenr="020" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Enmy</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="021" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="022" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.Engage</call><text>&#160;:&#160;</text><text>&#160;Enmy=</text><var>$Enmy</var></line>
<line linenr="023" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="024" indent="&#160;&#160;"><text>end</text></line>
<line linenr="025" indent="&#160;"><var>else&#160;if&#160;not&#160;</var><var>$Home.Station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="026" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>30000</var><text>&#160;to&#160;</text><var>60001</var><text>&#160;-&#160;1</text></line>
<line linenr="027" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="028" indent="&#160;&#160;"><text>break</text></line>
<line linenr="029" indent="&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>$Home.Station</var></line>
<line linenr="030" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Home.Station&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="031" indent="&#160;&#160;"><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>5</var><text>&#160;to&#160;</text><var>21</var><text>&#160;-&#160;1</text></line>
<line linenr="032" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>)</var><text>&#160;</text><var>*</var><text>&#160;</text><var>$Random</var></line>
<line linenr="033" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>20000</var><text>&#160;to&#160;</text><var>30001</var><text>&#160;-&#160;1</text></line>
<line linenr="034" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Home.Station</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="035" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="036" indent="&#160;&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>10000</var><text>&#160;to&#160;</text><var>20001</var><text>&#160;-&#160;1</text></line>
<line linenr="037" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="038" indent="&#160;&#160;"><text>end</text></line>
<line linenr="039" indent="&#160;"><text>else</text></line>
<line linenr="040" indent="&#160;&#160;"><var>$Targ.Sec&#160;=&#160;</var><var>$Home.Station&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="041" indent="&#160;&#160;"><var>$Gate&#160;=&#160;</var><text>&#160;get&#160;next&#160;gate&#160;on&#160;route&#160;from&#160;</text><var>[SECTOR]</var><text>&#160;to&#160;</text><var>$Targ.Sec</var></line>
<line linenr="042" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Gate</var></line>
<line linenr="043" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="044" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>5000</var></line>
<line linenr="045" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>20000</var><text>&#160;to&#160;</text><var>40001</var><text>&#160;-&#160;1</text></line>
<line linenr="046" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Gate</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="047" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="048" indent="&#160;&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>$Gate</var><text>&#160;get&#160;gate&#160;destination:&#160;return&#160;sector=</text><var>[TRUE]</var></line>
<line linenr="049" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>$Temp</var></line>
<line linenr="050" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="051" indent="&#160;&#160;"><text>end</text></line>
<line linenr="052" indent="&#160;"><text>end</text></line>
<line linenr="053" indent=""><text>end</text></line>
<line linenr="054" indent=""></line>
<line linenr="055" indent=""><var>$Random&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>2</var><text>&#160;to&#160;</text><var>6</var><text>&#160;-&#160;1</text></line>
<line linenr="056" indent=""><var>$Targ.Sec&#160;=&#160;</var><var>null</var></line>
<line linenr="057" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="058" indent="&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>20000</var><text>&#160;to&#160;</text><var>40001</var><text>&#160;-&#160;1</text></line>
<line linenr="059" interruptable="@" indent="&#160;"><var>$Enmy&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.FindEnmy</call><text>&#160;:&#160;</text><text>&#160;Home=</text><var>null</var></line>
<line linenr="060" indent="&#160;"><var>if&#160;</var><var>$Enmy&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="061" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Enmy&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="062" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>8000</var></line>
<line linenr="063" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Enmy</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="064" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="065" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.Engage</call><text>&#160;:&#160;</text><text>&#160;Enmy=</text><var>$Enmy</var></line>
<line linenr="066" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="067" indent="&#160;&#160;"><text>end</text></line>
<line linenr="068" indent="&#160;"><var>else&#160;if&#160;not&#160;</var><var>$Targ.Sec&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="069" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="070" indent="&#160;&#160;"><var>$Targ.Sec&#160;=&#160;</var><text>&#160;find&#160;a&#160;random&#160;sector:&#160;startsector=</text><var>[SECTOR]</var><text>,&#160;jumps=</text><var>120</var><text>,&#160;owner=</text><var>Xenon</var></line>
<line linenr="071" indent="&#160;"><var>else&#160;if&#160;</var><var>[SECTOR]</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Targ.Sec</var></line>
<line linenr="072" indent="&#160;&#160;"><var>$Gate&#160;=&#160;</var><text>&#160;get&#160;next&#160;gate&#160;on&#160;route&#160;from&#160;</text><var>[SECTOR]</var><text>&#160;to&#160;</text><var>$Targ.Sec</var></line>
<line linenr="073" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Gate&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="074" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="075" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>5000</var></line>
<line linenr="076" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Gate</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="077" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="078" indent="&#160;&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>$Gate</var><text>&#160;get&#160;gate&#160;destination:&#160;return&#160;sector=</text><var>[TRUE]</var></line>
<line linenr="079" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>$Temp</var></line>
<line linenr="080" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="081" indent="&#160;&#160;"><text>end</text></line>
<line linenr="082" indent="&#160;"><var>else&#160;if&#160;</var><var>$Random</var></line>
<line linenr="083" indent="&#160;&#160;"><text>dec&#160;</text><var>$Random&#160;=&#160;</var></line>
<line linenr="084" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="085" indent="&#160;"><text>else</text></line>
<line linenr="086" indent="&#160;&#160;"><text>break</text></line>
<line linenr="087" indent="&#160;"><text>end</text></line>
<line linenr="088" indent=""><text>end</text></line>
<line linenr="089" indent=""></line>
<line linenr="090" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="091" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!ship.cmd.destory.std</call><text>&#160;:&#160;</text></line>
<line linenr="092" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.Patrol.Leader" /><sval type="int" val="30" /><sval type="string" val="Patrol Lead-ship script" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="9"><sval type="string" val="This.Size" /><sval type="string" val="Home.Station" /><sval type="string" val="Enmy" /><sval type="string" val="Size" /><sval type="string" val="Temp" /><sval type="string" val="Ret" /><sval type="string" val="Random" /><sval type="string" val="Targ.Sec" /><sval type="string" val="Gate" /></sval><sval type="array" size="86"><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536870393" /><sval type="int" val="12" /><sval type="int" val="2134" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="524" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="15" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="ddrs.maintarget" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="745" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610610936" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="30000" /><sval type="int" val="4" /><sval type="int" val="60000" /></sval><sval type="array" size="4"><sval type="int" val="745" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610609911" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600183" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.FindEnmy" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610607101" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="4" /><sval type="int" val="40001" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607357" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.Engage" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536863994" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="30000" /><sval type="int" val="4" /><sval type="int" val="60001" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="49" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610603259" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="21" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="13" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="4" /><sval type="int" val="30001" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603517" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="10000" /><sval type="int" val="4" /><sval type="int" val="20001" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="7" /></sval><sval type="array" size="6"><sval type="int" val="1074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536860409" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="49" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="4" /><sval type="int" val="40001" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600445" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="1057" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="11" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610591479" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="4" /><sval type="int" val="40001" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.FindEnmy" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610596861" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597117" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.Engage" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="82" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="-536854010" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="8"><sval type="int" val="810" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="120" /><sval type="int" val="10" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="82" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610593019" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="1074" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="-536852985" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="83" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610593277" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="1057" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="82" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610591995" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="82" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="83" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="51" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!ship.cmd.destory.std" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="20"><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="61" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="70" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="76" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="81" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="82" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="83" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="83" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
